http://pkgs.fedoraproject.org/cgit/apache-commons-dbcp.git/tree/jdbc41.patch 

diff -u -r dbcp/BasicDataSource.java /home/tester/Desktop/apache-commons-dbcp/f17/commons-dbcp-1.4-src/src/java/org/apache/commons/dbcp/BasicDataSource.java
--- src/java/org/apache/commons/dbcp/BasicDataSource.java	2010-02-07 17:59:20.000000000 +0100
+++ src/java/org/apache/commons/dbcp/BasicDataSource.java	2012-02-23 09:11:04.481618663 +0100
@@ -24,10 +24,12 @@
 import java.util.ArrayList;
 import java.util.Iterator;
 import java.util.Collections;
+import java.util.logging.Logger;
 import java.sql.Connection;
 import java.sql.Driver;
 import java.sql.DriverManager;
 import java.sql.SQLException;
+import java.sql.SQLFeatureNotSupportedException;
 import javax.sql.DataSource;
 
 import org.apache.commons.pool.KeyedObjectPoolFactory;
@@ -1579,4 +1581,10 @@
             logWriter.println(message);
         }
     }
+
+    /* This functionality is not implemented yet */
+    public Logger getParentLogger() throws SQLFeatureNotSupportedException {
+        throw new SQLFeatureNotSupportedException();
+    }
+
 }
diff -u -r dbcp/cpdsadapter/DriverAdapterCPDS.java /home/tester/Desktop/apache-commons-dbcp/f17/commons-dbcp-1.4-src/src/java/org/apache/commons/dbcp/cpdsadapter/DriverAdapterCPDS.java
--- src/java/org/apache/commons/dbcp/cpdsadapter/DriverAdapterCPDS.java	2010-02-07 17:59:19.000000000 +0100
+++ src/java/org/apache/commons/dbcp/cpdsadapter/DriverAdapterCPDS.java	2012-02-23 09:13:29.490605580 +0100
@@ -19,10 +19,12 @@
 
 import java.util.Hashtable;
 import java.util.Properties;
+import java.util.logging.Logger;
 import java.io.PrintWriter;
 import java.io.Serializable;
 import java.sql.DriverManager;
 import java.sql.SQLException;
+import java.sql.SQLFeatureNotSupportedException;
 import javax.sql.PooledConnection;
 import javax.sql.ConnectionPoolDataSource;
 import javax.naming.Name;
@@ -719,4 +721,10 @@
     {
         _maxPreparedStatements = maxPreparedStatements;
     }
+
+    /* This functionality is not implemented yet */
+    public Logger getParentLogger() throws SQLFeatureNotSupportedException {
+        throw new SQLFeatureNotSupportedException();
+    }
+
 }
diff -u -r dbcp/datasources/PerUserPoolDataSource.java /home/tester/Desktop/apache-commons-dbcp/f17/commons-dbcp-1.4-src/src/java/org/apache/commons/dbcp/datasources/PerUserPoolDataSource.java
--- src/java/org/apache/commons/dbcp/datasources/PerUserPoolDataSource.java	2010-02-07 17:59:20.000000000 +0100
+++ src/java/org/apache/commons/dbcp/datasources/PerUserPoolDataSource.java	2012-02-23 09:12:13.582612432 +0100
@@ -21,10 +21,12 @@
 import java.io.ObjectInputStream;
 import java.sql.Connection;
 import java.sql.SQLException;
+import java.sql.SQLFeatureNotSupportedException;
 import java.util.HashMap;
 import java.util.Iterator;
 import java.util.Map;
 import java.util.NoSuchElementException;
+import java.util.logging.Logger;
 
 import javax.naming.NamingException;
 import javax.naming.Reference;
@@ -561,4 +563,10 @@
         CPDSConnectionFactory mgr = (CPDSConnectionFactory) managers.get(key);
         return mgr == null ? null : (GenericObjectPool) mgr.getPool();
     }
+
+    /* This functionality is not implemented yet */
+    public Logger getParentLogger() throws SQLFeatureNotSupportedException {
+        throw new SQLFeatureNotSupportedException();
+    }
+
 }
diff -u -r dbcp/datasources/SharedPoolDataSource.java /home/tester/Desktop/apache-commons-dbcp/f17/commons-dbcp-1.4-src/src/java/org/apache/commons/dbcp/datasources/SharedPoolDataSource.java
--- src/java/org/apache/commons/dbcp/datasources/SharedPoolDataSource.java	2010-02-07 17:59:20.000000000 +0100
+++ src/java/org/apache/commons/dbcp/datasources/SharedPoolDataSource.java	2012-02-23 09:14:10.326601896 +0100
@@ -21,6 +21,8 @@
 import java.io.ObjectInputStream;
 import java.sql.Connection;
 import java.sql.SQLException;
+import java.sql.SQLFeatureNotSupportedException;
+import java.util.logging.Logger;
 
 import javax.naming.NamingException;
 import javax.naming.Reference;
@@ -269,5 +271,11 @@
             throw new IOException("NamingException: " + e);
         }
     }
+
+    /* This functionality is not implemented yet */
+    public Logger getParentLogger() throws SQLFeatureNotSupportedException {
+        throw new SQLFeatureNotSupportedException();
+    }
+
 }
 
diff -u -r dbcp/DelegatingCallableStatement.java /home/tester/Desktop/apache-commons-dbcp/f17/commons-dbcp-1.4-src/src/java/org/apache/commons/dbcp/DelegatingCallableStatement.java
--- src/java/org/apache/commons/dbcp/DelegatingCallableStatement.java	2010-02-07 17:59:20.000000000 +0100
+++ src/java/org/apache/commons/dbcp/DelegatingCallableStatement.java	2012-02-23 09:17:35.805583354 +0100
@@ -37,6 +37,7 @@
 import java.sql.RowId;
 import java.sql.SQLXML;
 /* JDBC_4_ANT_KEY_END */
+import java.sql.SQLFeatureNotSupportedException;
 
 /**
  * A base delegating implementation of {@link CallableStatement}.
@@ -661,4 +662,14 @@
         }
     }
 /* JDBC_4_ANT_KEY_END */
+
+    /* This functionality is not implemented yet */
+    public <T> T getObject(String columnLabel, Class<T> type) throws SQLException {
+        throw new SQLFeatureNotSupportedException();
+    }
+
+    /* This functionality is not implemented yet */
+    public <T> T getObject(int columnIndex, Class<T> type) throws SQLException {
+        throw new SQLFeatureNotSupportedException();
+    }
 }
diff -u -r dbcp/DelegatingConnection.java /home/tester/Desktop/apache-commons-dbcp/f17/commons-dbcp-1.4-src/src/java/org/apache/commons/dbcp/DelegatingConnection.java
--- src/java/org/apache/commons/dbcp/DelegatingConnection.java	2010-02-07 17:59:20.000000000 +0100
+++ src/java/org/apache/commons/dbcp/DelegatingConnection.java	2012-02-23 09:04:56.488651873 +0100
@@ -27,6 +27,7 @@
 import java.util.Iterator;
 import java.util.List;
 import java.util.Map;
+import java.util.concurrent.Executor;
 import java.sql.ResultSet;
 /* JDBC_4_ANT_KEY_BEGIN */
 import java.sql.Array;
@@ -40,6 +41,7 @@
 import java.util.Collections;
 import java.util.Properties;
 /* JDBC_4_ANT_KEY_END */
+import java.sql.SQLFeatureNotSupportedException;
 
 /**
  * A base delegating implementation of {@link Connection}.
@@ -678,5 +680,31 @@
             return null;
         }
     }
-/* JDBC_4_ANT_KEY_END */
+    /* JDBC_4_ANT_KEY_END */
+
+    /* This functionality is not implemented yet */
+    public int getNetworkTimeout() throws SQLException {
+        throw new SQLFeatureNotSupportedException();
+    }
+
+    /* This functionality is not implemented yet */
+    public void setNetworkTimeout(Executor executor, int milliseconds) throws SQLException {
+        throw new SQLFeatureNotSupportedException();
+    }
+
+    /* This functionality is not implemented yet */
+    public void abort(Executor executor) throws SQLException {
+        throw new SQLFeatureNotSupportedException();
+    }
+
+    /* This functionality is not implemented yet */
+    public String getSchema() throws SQLException {
+        throw new SQLFeatureNotSupportedException();
+    }
+
+    /* This functionality is not implemented yet */
+    public void setSchema(String schema) throws SQLException {
+        throw new SQLFeatureNotSupportedException();
+    }
 }
+
diff -u -r dbcp/DelegatingDatabaseMetaData.java /home/tester/Desktop/apache-commons-dbcp/f17/commons-dbcp-1.4-src/src/java/org/apache/commons/dbcp/DelegatingDatabaseMetaData.java
--- src/java/org/apache/commons/dbcp/DelegatingDatabaseMetaData.java	2010-02-07 17:59:20.000000000 +0100
+++ src/java/org/apache/commons/dbcp/DelegatingDatabaseMetaData.java	2012-02-23 09:20:38.181566898 +0100
@@ -24,6 +24,7 @@
 import java.sql.RowIdLifetime;
 /* JDBC_4_ANT_KEY_END */
 import java.sql.SQLException;
+import java.sql.SQLFeatureNotSupportedException;
 
 /**
  * A base delegating implementation of {@link DatabaseMetaData}.
@@ -1208,4 +1209,13 @@
 
     /* JDBC_4_ANT_KEY_END */
 
+    /* This functionality is not implemented yet */
+    public boolean generatedKeyAlwaysReturned() throws SQLException {
+        throw new SQLFeatureNotSupportedException();
+    }
+
+    /* This functionality is not implemented yet */
+    public ResultSet getPseudoColumns(String catalog, String schemaPattern, String tableNamePattern, String columnNamePattern) throws SQLException {
+        throw new SQLFeatureNotSupportedException();
+    }
 }
diff -u -r dbcp/DelegatingPreparedStatement.java /home/tester/Desktop/apache-commons-dbcp/f17/commons-dbcp-1.4-src/src/java/org/apache/commons/dbcp/DelegatingPreparedStatement.java
--- src/java/org/apache/commons/dbcp/DelegatingPreparedStatement.java	2010-02-07 17:59:20.000000000 +0100
+++ src/java/org/apache/commons/dbcp/DelegatingPreparedStatement.java	2012-02-23 09:04:37.793653560 +0100
@@ -34,6 +34,7 @@
 import java.sql.RowId;
 import java.sql.SQLXML;
 /* JDBC_4_ANT_KEY_END */
+import java.sql.SQLFeatureNotSupportedException;
 
 /**
  * A base delegating implementation of {@link PreparedStatement}.
@@ -402,4 +403,15 @@
         }
     }
 /* JDBC_4_ANT_KEY_END */
+
+    /* This functionality is not implemented yet */
+    public boolean isCloseOnCompletion() throws SQLException {
+        throw new SQLFeatureNotSupportedException();
+    }
+
+    /* This functionality is not implemented yet */
+    public void closeOnCompletion() throws SQLException {
+        throw new SQLFeatureNotSupportedException();
+    }
+
 }
diff -u -r dbcp/DelegatingResultSet.java /home/tester/Desktop/apache-commons-dbcp/f17/commons-dbcp-1.4-src/src/java/org/apache/commons/dbcp/DelegatingResultSet.java
--- src/java/org/apache/commons/dbcp/DelegatingResultSet.java	2010-02-07 17:59:20.000000000 +0100
+++ src/java/org/apache/commons/dbcp/DelegatingResultSet.java	2012-02-23 09:17:19.905584789 +0100
@@ -40,6 +40,7 @@
 import java.sql.RowId;
 import java.sql.SQLXML;
 /* JDBC_4_ANT_KEY_END */
+import java.sql.SQLFeatureNotSupportedException;
 
 /**
  * A base delegating implementation of {@link ResultSet}.
@@ -1079,4 +1080,14 @@
         }
     }
 /* JDBC_4_ANT_KEY_END */
+
+    /* This functionality is not implemented yet */
+    public <T> T getObject(String columnLabel, Class<T> type) throws SQLException {
+        throw new SQLFeatureNotSupportedException();
+    }
+
+    /* This functionality is not implemented yet */
+    public <T> T getObject(int columnIndex, Class<T> type) throws SQLException {
+        throw new SQLFeatureNotSupportedException();
+    }
 }
diff -u -r dbcp/DelegatingStatement.java /home/tester/Desktop/apache-commons-dbcp/f17/commons-dbcp-1.4-src/src/java/org/apache/commons/dbcp/DelegatingStatement.java
--- src/java/org/apache/commons/dbcp/DelegatingStatement.java	2010-02-07 17:59:20.000000000 +0100
+++ src/java/org/apache/commons/dbcp/DelegatingStatement.java	2012-02-23 09:04:41.171653252 +0100
@@ -22,6 +22,7 @@
 import java.sql.SQLException;
 import java.sql.SQLWarning;
 import java.sql.Statement;
+import java.sql.SQLFeatureNotSupportedException;
 import java.util.List;
 
 /**
@@ -386,4 +387,15 @@
         }
     }
 /* JDBC_4_ANT_KEY_END */
+
+    /* This functionality is not implemented yet */
+    public boolean isCloseOnCompletion() throws SQLException {
+        throw new SQLFeatureNotSupportedException();
+    }
+
+    /* This functionality is not implemented yet */
+    public void closeOnCompletion() throws SQLException {
+        throw new SQLFeatureNotSupportedException();
+    }
+
 }
diff -u -r dbcp/PoolableCallableStatement.java /home/tester/Desktop/apache-commons-dbcp/f17/commons-dbcp-1.4-src/src/java/org/apache/commons/dbcp/PoolableCallableStatement.java
--- src/java/org/apache/commons/dbcp/PoolableCallableStatement.java	2010-02-07 17:59:20.000000000 +0100
+++ src/java/org/apache/commons/dbcp/PoolableCallableStatement.java	2012-02-23 09:17:44.514582568 +0100
@@ -21,6 +21,7 @@
 import java.sql.Connection;
 import java.sql.ResultSet;
 import java.sql.SQLException;
+import java.sql.SQLFeatureNotSupportedException;
 import java.util.List;
 
 import org.apache.commons.pool.KeyedObjectPool;
@@ -123,4 +124,13 @@
         super.passivate();
     }
 
+    /* This functionality is not implemented yet */
+    public <T> T getObject(String columnLabel, Class<T> type) throws SQLException {
+        throw new SQLFeatureNotSupportedException();
+    }
+
+    /* This functionality is not implemented yet */
+    public <T> T getObject(int columnIndex, Class<T> type) throws SQLException {
+        throw new SQLFeatureNotSupportedException();
+    }
 }
diff -u -r dbcp/PoolablePreparedStatement.java /home/tester/Desktop/apache-commons-dbcp/f17/commons-dbcp-1.4-src/src/java/org/apache/commons/dbcp/PoolablePreparedStatement.java
--- src/java/org/apache/commons/dbcp/PoolablePreparedStatement.java	2010-02-07 17:59:20.000000000 +0100
+++ src/java/org/apache/commons/dbcp/PoolablePreparedStatement.java	2012-02-23 09:16:01.670591848 +0100
@@ -21,6 +21,7 @@
 import java.sql.PreparedStatement;
 import java.sql.ResultSet;
 import java.sql.SQLException;
+import java.sql.SQLFeatureNotSupportedException;
 import java.util.List;
 
 import org.apache.commons.pool.KeyedObjectPool;
@@ -137,4 +138,14 @@
         super.passivate();
     }
 
+    /* This functionality is not implemented yet */
+    public boolean isCloseOnCompletion() throws SQLException {
+        throw new SQLFeatureNotSupportedException();
+    }
+
+    /* This functionality is not implemented yet */
+    public void closeOnCompletion() throws SQLException {
+        throw new SQLFeatureNotSupportedException();
+    }
+
 }
diff -u -r dbcp/PoolingConnection.java /home/tester/Desktop/apache-commons-dbcp/f17/commons-dbcp-1.4-src/src/java/org/apache/commons/dbcp/PoolingConnection.java
--- src/java/org/apache/commons/dbcp/PoolingConnection.java	2010-02-07 17:59:20.000000000 +0100
+++ src/java/org/apache/commons/dbcp/PoolingConnection.java	2012-02-23 09:08:08.716634524 +0100
@@ -21,8 +21,10 @@
 import java.sql.Connection;
 import java.sql.PreparedStatement;
 import java.sql.SQLException;
+import java.sql.SQLFeatureNotSupportedException;
 
 import java.util.NoSuchElementException;
+import java.util.concurrent.Executor;
 
 import org.apache.commons.pool.KeyedObjectPool;
 import org.apache.commons.pool.KeyedPoolableObjectFactory;
@@ -455,4 +457,30 @@
             return buf.toString();
         }
     }
+
+    /* This functionality is not implemented yet */
+    public int getNetworkTimeout() throws SQLException {
+        throw new SQLFeatureNotSupportedException();
+    }
+
+    /* This functionality is not implemented yet */
+    public void setNetworkTimeout(Executor executor, int milliseconds) throws SQLException {
+        throw new SQLFeatureNotSupportedException();
+    }
+
+    /* This functionality is not implemented yet */
+    public void abort(Executor executor) throws SQLException {
+        throw new SQLFeatureNotSupportedException();
+    }
+
+    /* This functionality is not implemented yet */
+    public String getSchema() throws SQLException {
+        throw new SQLFeatureNotSupportedException();
+    }
+
+    /* This functionality is not implemented yet */
+    public void setSchema(String schema) throws SQLException {
+        throw new SQLFeatureNotSupportedException();
+    }
 }
+
diff -u -r dbcp/PoolingDataSource.java /home/tester/Desktop/apache-commons-dbcp/f17/commons-dbcp-1.4-src/src/java/org/apache/commons/dbcp/PoolingDataSource.java
--- src/java/org/apache/commons/dbcp/PoolingDataSource.java	2010-02-07 17:59:20.000000000 +0100
+++ src/java/org/apache/commons/dbcp/PoolingDataSource.java	2012-02-23 09:11:31.873616194 +0100
@@ -23,10 +23,12 @@
 import java.sql.DatabaseMetaData;
 import java.sql.PreparedStatement;
 import java.sql.SQLException;
+import java.sql.SQLFeatureNotSupportedException;
 import java.sql.SQLWarning;
 import java.sql.Statement;
 import java.util.Map;
 import java.util.NoSuchElementException;
+import java.util.logging.Logger;
 
 import javax.sql.DataSource;
 
@@ -437,4 +439,9 @@
             }
         }
     }
+
+    /* This functionality is not implemented yet */
+    public Logger getParentLogger() throws SQLFeatureNotSupportedException {
+        throw new SQLFeatureNotSupportedException();
+    }
 }
diff -u -r dbcp/PoolingDriver.java /home/tester/Desktop/apache-commons-dbcp/f17/commons-dbcp-1.4-src/src/java/org/apache/commons/dbcp/PoolingDriver.java
--- src/java/org/apache/commons/dbcp/PoolingDriver.java	2010-02-07 17:59:20.000000000 +0100
+++ src/java/org/apache/commons/dbcp/PoolingDriver.java	2012-02-23 09:14:12.193601726 +0100
@@ -27,6 +27,7 @@
 import java.sql.DriverPropertyInfo;
 import java.sql.PreparedStatement;
 import java.sql.SQLException;
+import java.sql.SQLFeatureNotSupportedException;
 import java.sql.SQLWarning;
 import java.sql.Statement;
 import java.util.HashMap;
@@ -34,6 +35,7 @@
 import java.util.NoSuchElementException;
 import java.util.Properties;
 import java.util.Set;
+import java.util.logging.Logger;
 
 import org.apache.commons.jocl.JOCLContentHandler;
 import org.apache.commons.pool.ObjectPool;
@@ -496,4 +498,10 @@
             }
         }
     }
+
+    /* This functionality is not implemented yet */
+    public Logger getParentLogger() throws SQLFeatureNotSupportedException {
+        throw new SQLFeatureNotSupportedException();
+    }
+
 }
